1 Reply Latest reply on Mar 23, 2014 10:38 AM by AlexanderMerz

    can't load library 'libopencv_gpu.so.2.4' on galileo

    watermirror

      Hi, i have tried to run a opencv client program on the galileo, which open webcam and send data to my Ubuntu 12.04.

      I can assure the client program can work on the ubuntu 12.04. but in galileo, i got this:

      can't load library 'libopencv_gpu.so.2.4'

       

      when i run ls /usr/lib/*opencv*, i got this:

       

      root@clanton:/media/mmcblk0p1# ls /usr/lib/*opencv*                      
      /usr/lib/libopencv_calib3d.so.2.4  /usr/lib/libopencv_imgproc.so.2.4.3
      /usr/lib/libopencv_calib3d.so.2.4.3/usr/lib/libopencv_legacy.so.2.4 
      /usr/lib/libopencv_contrib.so.2.4  /usr/lib/libopencv_legacy.so.2.4.3
      /usr/lib/libopencv_contrib.so.2.4.3/usr/lib/libopencv_ml.so.2.4     
      /usr/lib/libopencv_core.so.2.4     /usr/lib/libopencv_ml.so.2.4.3   
      /usr/lib/libopencv_core.so.2.4.3   /usr/lib/libopencv_nonfree.so.2.4
      /usr/lib/libopencv_features2d.so.2.4/usr/lib/libopencv_nonfree.so.2.4.3
      /usr/lib/libopencv_features2d.so.2.4.3  /usr/lib/libopencv_objdetect.so.2.4
      /usr/lib/libopencv_flann.so.2.4    /usr/lib/libopencv_objdetect.so.2.4.3 
      /usr/lib/libopencv_flann.so.2.4.3  /usr/lib/libopencv_photo.so.2.4  
      /usr/lib/libopencv_highgui.so.2.4  /usr/lib/libopencv_photo.so.2.4.3
      /usr/lib/libopencv_highgui.so.2.4.3/usr/lib/libopencv_video.so.2.4  
      /usr/lib/libopencv_imgproc.so.2.4  /usr/lib/libopencv_video.so.2.4.3

       

       

      how could i solve this?